Subject: In wu-ftpd academ 2.4.2 beta 7, is upload or virtual keyword broken?

From: Dan Foster <[email-masked]>
Date: Tue, 21 Nov 1995 03:49:04 -0500 (EST)

Howdy!
	We were running 2.4 (no patches that I know of; it was built before
I was employed at this current company) until after a few months of reading
this list, I decided to try out 2.4.2 beta 7. Built it, noticed shadow didn't
work, so I adjusted config options and the like until shadow support was
compiled in just fine. That kind of thing.

	Haven't changed any /etc/ftp* files, just put a new wu-ftpd daemon,
that's all.

	Now I notice that it seems the upload keyword is no longer working,
and I've verified the directories do exists, appropriate access modes, and
nothing's changed there. My upload keyword consists of lines such as:

upload /ftp/ftp /pub/brainy/incoming yes brainy tech 0700 nodirs

	Now upload won't change deposited files to appropriate username/groups.
The problem first appeared when I installed the new ftpd that has, as far as
I can tell, the same configuration as the old ftpd, differing only in version
numbering, bug fixes, and virtual domain support.

	Also, I've made sure Virtual Domain support was built in this ftpd,
used the virtual keyword as:

virtual 198.70.51.52 /ftp/ftp/pub/forte /ftp/ftp/pub/forte/00readme.txt

	I know virtual domains in the general sense works because I can
telnet to ftp.fortech.com, nslookup shows the appropriate IP address, etc.
FTP to it and all. We made sure each IP address got only one hostname associated
with it, etc.

	Not sure why the virtual keyword isn't displaying the banner file
(the last argument in the line).

	BTW, every time I modify any /etc/ftp* files, should I kill -HUP
the ftpd or something?

	Many thanks for any comments, tips, suggestions, rtfm's, or anything. :)

-Dan Foster
System Manager
E-Znet, Inc.
Internet: [email-masked]

---

From: Ken Germann <[email-masked]>
Date: Tue, 21 Nov 1995 09:45:04 -0600 (CST)

>	Haven't changed any /etc/ftp* files, just put a new wu-ftpd daemon,

Where do we get beta 7? I've checked ftp.academ.com with no luck or changes
there.

-- 
Ken Germann	Applications Specialist		(612)943-0578 Voice
[email-masked]  	Digi International, Inc.	(612)943-0579 Fax
"Chance favors the prepared mind."		(612)943-0573 Faxback